summary refs log tree commit diff stats
diff options
context:
space:
mode:
-rwxr-xr-xranger/data/scope.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/ranger/data/scope.sh b/ranger/data/scope.sh
index 7051b7da..6b89049a 100755
--- a/ranger/data/scope.sh
+++ b/ranger/data/scope.sh
@@ -45,8 +45,7 @@ case "$extension" in
 		exit 1;;
 	rar)
 		unrar -p- lt "$path" | head -n $maxln
-		success && exit 0;
-		exit 1;;
+		success && exit 0 || exit 1;;
 	# PDF documents:
 	pdf)
 		pdftotext -l 10 -nopgbrk -q "$path" - | head -n $maxln | fmt -s -w $width
98862e6b8b2dbd77328c8f99a2'>^
4c13e1f2 ^
f07bb12f ^
f07bb12f ^








1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110